Package com.smartgwt.client.types

# Enum DisplayNodeType

java.lang.Object
java.lang.Enum<DisplayNodeType>
com.smartgwt.client.types.DisplayNodeType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DisplayNodeType>`, `Constable`

public enum DisplayNodeType extends Enum<DisplayNodeType> implements ValueEnum
Flag passed to functions as displayNodeType, telling the function whether it should work on folders, leaves or both at once.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOLDERS`
  operate on folders only, ignoring leaves
  `LEAVES`
  operate on leaves only, ignoring folders
  `NULL`
  operate on both folders and leaves

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DisplayNodeType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DisplayNodeType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NULL

    public static final DisplayNodeType NULL
    operate on both folders and leaves

  - ### FOLDERS

    public static final DisplayNodeType FOLDERS
    operate on folders only, ignoring leaves

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "folders".

  - ### LEAVES

    public static final DisplayNodeType LEAVES
    operate on leaves only, ignoring folders

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "leaves".

- ## Method Details

  - ### values

    public static DisplayNodeType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DisplayNodeType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`